plugins {
    id 'org.springframework.boot' version '2.5.14'
    id 'io.spring.dependency-management' version '1.0.12.RELEASE'
    id 'java'
}

group = 'com.ematou.wxservice'
version = '1.0.0'

// Task type of JavaCompile
tasks.withType(JavaCompile) {
    //enable compilation in a separate daemon process
    sourceCompatibility = 1.8
    targetCompatibility = 1.8
    options.encoding = "UTF-8"
    // default to true
    options.incremental = true
    // default to true
    options.failOnError = false
    // default to false
    options.fork = true
    // default to true
    options.debug = true
}

repositories {
    // 本地仓库
    mavenLocal()
    // ali 代理的central仓和jcenter仓的聚合仓
    maven {url 'https://maven.aliyun.com/repository/public'}
    // ali 代理的central仓
    maven {url 'https://maven.aliyun.com/repository/central'}
    maven {url 'https://maven.aliyun.com/repository/releases'}
    maven {url 'https://maven.aliyun.com/repository/jcenter'}
    maven {url 'https://maven.aliyun.com/repository/google'}
    maven {url 'https://maven.aliyun.com/repository/gradle-plugin'}
    maven {url 'https://maven.aliyun.com/repository/grails-core'}
    maven {url 'https://maven.aliyun.com/repository/spring'}
    maven {url 'https://maven.aliyun.com/repository/spring-plugin'}
    maven {url 'https://maven.aliyun.com/repository/apache-snapshots'}
    // 远程中央仓库
    mavenCentral()
    maven {url 'https://repo1.maven.org/maven2/'}
    maven {url 'https://maven.google.com/'}
    maven {url 'https://plugins.gradle.org/m2/'}
    maven {url 'https://repo.spring.io/libs-milestone'}
    maven {url 'https://repo.spring.io/plugins-release/'}
    maven {url 'https://repo.grails.org/grails/core'}
    maven {url 'https://repository.apache.org/content/groups/public/'}
    maven {url 'https://repository.jboss.org/nexus/content/repositories/releases/'}

    // 配置使用其它nexus 私服
    maven {
        // 非https需要增加对不安全协议的信任
        allowInsecureProtocol true
        url 'http://nexus.ds-bay.com/content/groups/public/'
        credentials {
            username 'admin'
            password 'admin123'
        }
    }
}

dependencies {
    implementation 'org.springframework.boot:spring-boot-starter-web'
    implementation 'org.mybatis.spring.boot:mybatis-spring-boot-starter:2.1.4'
    implementation 'org.springframework.boot:spring-boot-starter-aop'
    implementation 'org.springframework.boot:spring-boot-starter-logging'
    implementation 'org.springframework.boot:spring-boot-starter-thymeleaf'
    implementation group: 'com.alibaba', name: 'fastjson', version: '1.2.75'
    implementation group: 'org.apache.httpcomponents', name: 'httpcore', version: '4.4.3'
    implementation group: 'org.apache.httpcomponents', name: 'httpclient', version: '4.4.1'
    implementation group: 'org.apache.httpcomponents', name: 'httpmime', version: '4.5.1'
    implementation group: 'com.yunpian.sdk', name: 'yunpian-java-sdk', version: '1.2.7'
    implementation group: 'com.thoughtworks.xstream', name: 'xstream', version: '1.4.15'
    runtimeOnly 'mysql:mysql-connector-java'
    testImplementation('org.springframework.boot:spring-boot-starter-test') {
        exclude group: 'org.junit.vintage', module: 'junit-vintage-engine'
    }
}

